diff -Nru emacspeak-38.0+dfsg/debian/changelog emacspeak-38.0+dfsg/debian/changelog
--- emacspeak-38.0+dfsg/debian/changelog	2013-07-31 23:22:49.000000000 +0400
+++ emacspeak-38.0+dfsg/debian/changelog	2013-10-03 21:32:03.000000000 +0400
@@ -1,3 +1,13 @@
+emacspeak (38.0+dfsg-1.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Replaced the obsolete tcl8.4-dev package by tcl-dev in build-dependencies.
+  * Blanked TCL_VERSION variables to make sure the default Tcl/Tk version is
+    used when building the package.
+  * Don't add 8.4 suffix to the tclsh shebangs.
+
+ -- Sergei Golovan <sgolovan@debian.org>  Thu, 03 Oct 2013 21:30:42 +0400
+
 emacspeak (38.0+dfsg-1) unstable; urgency=low
 
   * Imported Upstream version 38.0 (Closes: #707487)
diff -Nru emacspeak-38.0+dfsg/debian/control emacspeak-38.0+dfsg/debian/control
--- emacspeak-38.0+dfsg/debian/control	2013-07-31 22:35:14.000000000 +0400
+++ emacspeak-38.0+dfsg/debian/control	2013-10-03 21:16:21.000000000 +0400
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 9),
                libespeak-dev,
                po-debconf,
-               tcl8.4-dev,
+               tcl-dev,
 Build-Depends-Indep: python-epydoc,
 Standards-Version: 3.9.4
 Homepage: http://emacspeak.sf.net
@@ -20,7 +20,7 @@
          emacs,
          make,
          perl,
-         tcl8.4,
+         tcl,
          tclx8.4,
          ${misc:Depends},
          ${perl:Depends}
diff -Nru emacspeak-38.0+dfsg/debian/patches/series emacspeak-38.0+dfsg/debian/patches/series
--- emacspeak-38.0+dfsg/debian/patches/series	2013-07-31 00:31:21.000000000 +0400
+++ emacspeak-38.0+dfsg/debian/patches/series	2013-10-03 21:26:01.000000000 +0400
@@ -1,3 +1,4 @@
 allow_emacs_flavor_in_etc_makefile
 use_arch_dependent_path_for_espeak_lib
 remove_info_from_clean_target.patch
+tcl_version.patch
diff -Nru emacspeak-38.0+dfsg/debian/patches/tcl_version.patch emacspeak-38.0+dfsg/debian/patches/tcl_version.patch
--- emacspeak-38.0+dfsg/debian/patches/tcl_version.patch	1970-01-01 03:00:00.000000000 +0300
+++ emacspeak-38.0+dfsg/debian/patches/tcl_version.patch	2013-10-03 21:28:08.000000000 +0400
@@ -0,0 +1,33 @@
+--- a/servers/linux-espeak/Makefile
++++ b/servers/linux-espeak/Makefile
+@@ -4,7 +4,7 @@
+ PREFIX = /usr
+ LIBPARENTDIR = ${PREFIX}/share/emacs/site-lisp
+ LIBDIR =$(LIBPARENTDIR)/emacspeak/servers/linux-espeak
+-TCL_VERSION = 8.4
++TCL_VERSION =
+ TCL_INCLUDE= /usr/include/tcl$(TCL_VERSION)
+ CXXFLAGS+= -g    -O2 -fPIC  -DPIC  -pedantic -ansi -Wall -Wno-long-long -I$(TCL_INCLUDE)
+ 
+--- a/servers/linux-outloud/Makefile
++++ b/servers/linux-outloud/Makefile
+@@ -5,7 +5,7 @@
+ LIBPARENTDIR = ${PREFIX}/share/emacs/site-lisp
+ LIBDIR =$(LIBPARENTDIR)/emacspeak/servers/linux-outloud
+ 
+-TCL_VERSION=8.4
++TCL_VERSION=
+ TCL_INCLUDE=/usr/include/tcl$(TCL_VERSION)
+ #CFLAGS+= -g    -O2 -fPIC  -DPIC  -pedantic -ansi -Wall  -Wno-long-long -I$(TCL_INCLUDE)
+ CFLAGS+= -m32 -g    -O2 -fPIC  -DPIC  -pedantic -ansi -Wall  -Wno-long-long -I$(TCL_INCLUDE)
+--- a/servers/software-dtk/Makefile
++++ b/servers/software-dtk/Makefile
+@@ -2,7 +2,7 @@
+ #
+ LABEL=1.1
+ DIST=software-dtk-$(LABEL)
+-TCL_VERSION=8.4
++TCL_VERSION=
+ CFLAGS+=-O3 -fpic -pedantic -ansi -Wall -I/usr/include/tcl$(TCL_VERSION)
+ CPPFLAGS+=-DSTDC_HEADERS=1 -Dclock_t=long -DRETSIGTYPE=void 
+ INSTALL=install
diff -Nru emacspeak-38.0+dfsg/debian/rules emacspeak-38.0+dfsg/debian/rules
--- emacspeak-38.0+dfsg/debian/rules	2013-07-30 23:56:17.000000000 +0400
+++ emacspeak-38.0+dfsg/debian/rules	2013-10-03 21:19:52.000000000 +0400
@@ -19,16 +19,6 @@
 	cd servers/linux-espeak ; $(MAKE)
 
 override_dh_auto_build-indep:
-# As we depend on tcl8.4-dev for the binary, we depend and check only specific tclsh8.4
-# and we should make sure the scripts are explicitely working for them
-	cd servers ; 								\
-	for file in dtk-exp dtk-soft espeak outloud speech-server ssh-dtk-exp	\
-		ssh-outloud ; do 						\
-		cp -p $${file} $${file}.debian_org ;				\
-		sed -r --in-place 						\
-			"s%/usr/bin/tclsh$$%/usr/bin/tclsh8.4%" $${file} ;\
-	done
-
 	echo $(shell dpkg-parsechangelog | grep Version | perl -p -e 's/Version: //') \
 		> debian_version
 
